searchData={"items":[{"type":"task","title":"mix check_code","doc":"Runs a series of code quality checks, including formatting, testing, static analysis, and linting.\n\nThis Mix task executes the following commands sequentially:\n\n- `mix format`   - Ensures code is properly formatted.\n- `mix test`     - Runs the test suite to verify correctness.\n- `mix dialyzer` - Performs static analysis to detect type errors.\n- `mix credo`    - Checks for code style and best practices.","ref":"Mix.Tasks.CheckCode.html"},{"type":"task","title":"Usage - mix check_code","doc":"mix check_code","ref":"Mix.Tasks.CheckCode.html#module-usage"},{"type":"task","title":"Requirements - mix check_code","doc":"Contributors **MUST** run this task before submitting a Pull Request (PR).\nEnsure that all checks pass to maintain code quality, consistency, and correctness.","ref":"Mix.Tasks.CheckCode.html#module-requirements"},{"type":"task","title":"Notes - mix check_code","doc":"- If any command fails, the process will stop, and the corresponding error must be resolved.\n- Running `mix dialyzer` may take longer on the first run due to PLT (Persistent Lookup Table)\nbuilding.","ref":"Mix.Tasks.CheckCode.html#module-notes"},{"type":"module","title":"NeoFaker.App","doc":"Provides functions for generating app metadata.\n\nThis module offers functions to generate random app-related information, including\nauthor names, app names, descriptions, versions, and licenses.","ref":"NeoFaker.App.html"},{"type":"function","title":"NeoFaker.App.author/1","doc":"Generates a random app author name.\n\nThe author name is randomly generated as a full name.","ref":"NeoFaker.App.html#author/1"},{"type":"function","title":"Examples - NeoFaker.App.author/1","doc":"iex> NeoFaker.App.author()\n    \"José Valim\"","ref":"NeoFaker.App.html#author/1-examples"},{"type":"function","title":"NeoFaker.App.description/1","doc":"Generates a short app description.\n\nThe description provides a brief summary of the app's purpose.","ref":"NeoFaker.App.html#description/1"},{"type":"function","title":"Options - NeoFaker.App.description/1","doc":"The accepted options are:\n\n- `:locale` - Specifies the locale to use.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `\"default\"`.\n- `\"id_id\"` - Uses the Indonesian locale, for example.","ref":"NeoFaker.App.html#description/1-options"},{"type":"function","title":"Examples - NeoFaker.App.description/1","doc":"iex> NeoFaker.App.description()\n    \"Elixir library for generating fake data in tests and development.\"\n\n    iex> NeoFaker.App.description(locale: \"id_id\")\n    \"Pustaka Elixir untuk menghasilkan data palsu dalam pengujian dan pengembangan.\"","ref":"NeoFaker.App.html#description/1-examples"},{"type":"function","title":"NeoFaker.App.license/0","doc":"Generates a random open-source license.\n\nThe license is randomly selected from a predefined list based on\n[ChooseALicense](https://choosealicense.com/appendix).","ref":"NeoFaker.App.html#license/0"},{"type":"function","title":"Examples - NeoFaker.App.license/0","doc":"iex> NeoFaker.App.license()\n    \"MIT License\"","ref":"NeoFaker.App.html#license/0-examples"},{"type":"function","title":"NeoFaker.App.name/1","doc":"Generates a random app name.\n\nBy default, the app name follows a standard format. You can specify a different case style\nusing the `:style` option.","ref":"NeoFaker.App.html#name/1"},{"type":"function","title":"Options - NeoFaker.App.name/1","doc":"The accepted options are:\n\n- `:style` - Defines the case style of the app name.\n- `:locale` - Specifies the locale to use.\n\nThe values for `:style` can be:\n\n- `nil` (default) - Uses the standard format, e.g., `\"Neo Faker\"`.\n- `:camel_case` - Uses camel case, e.g., `\"neoFaker\"`.\n- `:pascal_case` - Uses Pascal case, e.g., `\"NeoFaker\"`.\n- `:dashed` - Uses a dashed format, e.g., `\"Neo-faker\"`.\n- `:underscore` - Uses an underscore format, e.g., `\"neo_faker\"`.\n- `:single` - Uses a single-word format, e.g., `\"Faker\"`.\n\nThe values for `:locale` can be:\n\n- `nil` - Uses the default locale `\"default\"`.\n- `\"id_id\"` - Uses the Indonesian locale, for example.","ref":"NeoFaker.App.html#name/1-options"},{"type":"function","title":"Examples - NeoFaker.App.name/1","doc":"iex> NeoFaker.App.name()\n    \"Neo Faker\"\n\n    iex> NeoFaker.App.name(style: :camel_case)\n    \"neoFaker\"\n\n    iex> NeoFaker.App.name(locale: \"id_id\")\n    \"Garuda Web\"","ref":"NeoFaker.App.html#name/1-examples"},{"type":"function","title":"NeoFaker.App.semver/1","doc":"Returns a semantic version number.\n\nThe generated version number follows the Semantic Versioning (SemVer) standard. By default, it\ngenerates a core version (`MAJOR.MINOR.PATCH`). Additional versioning details can be specified\nusing the `:type` option.","ref":"NeoFaker.App.html#semver/1"},{"type":"function","title":"Options - NeoFaker.App.semver/1","doc":"The accepted options are:\n\n- `:type` - Specifies the type of version format.\n\nThe values for `:type` can be:\n\n- `nil` (default) - Uses core SemVer format, e.g., `\"1.2.3\"`.\n- `:pre_release` - Includes a pre-release label, e.g., `\"1.2.3-beta.1\"`.\n- `:build` - Includes a build metadata label, e.g., `\"1.2.3+20250325\"`.\n- `:pre_release_build` - Includes both pre-release and build metadata, e.g., `\"1.2.3-rc.1+20250325\"`.","ref":"NeoFaker.App.html#semver/1-options"},{"type":"function","title":"Examples - NeoFaker.App.semver/1","doc":"iex> NeoFaker.App.semver()\n    \"1.2.3\"\n\n    iex> NeoFaker.App.semver(:pre_release)\n    \"1.2.3-beta.1\"","ref":"NeoFaker.App.html#semver/1-examples"},{"type":"function","title":"NeoFaker.App.version/0","doc":"Returns a simple version number.\n\nThis version format follows `MAJOR.MINOR`.","ref":"NeoFaker.App.html#version/0"},{"type":"function","title":"Examples - NeoFaker.App.version/0","doc":"iex> NeoFaker.App.version()\n    \"1.2\"","ref":"NeoFaker.App.html#version/0-examples"},{"type":"module","title":"NeoFaker.Blood","doc":"Provides functions for generating blood types.\n\nThis module includes functions to generate random blood groups, blood types, and Rh factors.","ref":"NeoFaker.Blood.html"},{"type":"function","title":"NeoFaker.Blood.group/0","doc":"Generates a random blood group.\n\nA blood group consists of a blood type (`A`, `B`, `AB`, or `O`) combined with an Rh factor\n(`+` or `-`), forming a complete blood group.","ref":"NeoFaker.Blood.html#group/0"},{"type":"function","title":"Examples - NeoFaker.Blood.group/0","doc":"iex> NeoFaker.Blood.group()\n    \"B+\"","ref":"NeoFaker.Blood.html#group/0-examples"},{"type":"function","title":"NeoFaker.Blood.rh_factor/0","doc":"Generates a random Rh factor.\n\nThe Rh factor is either `+` (positive) or `-` (negative).","ref":"NeoFaker.Blood.html#rh_factor/0"},{"type":"function","title":"Examples - NeoFaker.Blood.rh_factor/0","doc":"iex> NeoFaker.Blood.rh_factor()\n    \"+\"","ref":"NeoFaker.Blood.html#rh_factor/0-examples"},{"type":"function","title":"NeoFaker.Blood.type/0","doc":"Generates a random blood type.\n\nA blood type is one of `A`, `B`, `AB`, or `O`, without the Rh factor.","ref":"NeoFaker.Blood.html#type/0"},{"type":"function","title":"Examples - NeoFaker.Blood.type/0","doc":"iex> NeoFaker.Blood.type()\n    \"B\"","ref":"NeoFaker.Blood.html#type/0-examples"},{"type":"module","title":"NeoFaker.Boolean","doc":"Provides functions for generating boolean values.\n\nThis module includes functions to generate random boolean values with configurable probabilities,\nallowing for controlled randomness in various use cases.","ref":"NeoFaker.Boolean.html"},{"type":"function","title":"NeoFaker.Boolean.boolean/2","doc":"Generates a random boolean value.\n\nBy default, this function returns `true` or `false` with equal probability (50% each).\nAn optional `true_ratio` argument can be provided to adjust the probability of returning `true`.\n\nIf the `integer: true` option is set, the function returns `1` for `true` and `0` for `false`.","ref":"NeoFaker.Boolean.html#boolean/2"},{"type":"function","title":"Examples - NeoFaker.Boolean.boolean/2","doc":"iex> NeoFaker.Boolean.boolean()\n    false\n\n    iex> NeoFaker.Boolean.boolean(75)\n    true\n\n    iex> NeoFaker.Boolean.boolean(75, integer: true)\n    1","ref":"NeoFaker.Boolean.html#boolean/2-examples"},{"type":"module","title":"NeoFaker.Crypto","doc":"Provides functions for generating cryptographic hashes.\n\nThis module includes functions for generating various types of cryptographic hash values,\nsuch as MD5 and SHA-based hashes.","ref":"NeoFaker.Crypto.html"},{"type":"function","title":"NeoFaker.Crypto.md5/1","doc":"Generates a random MD5 hash.\n\nReturns a random MD5 hash string.","ref":"NeoFaker.Crypto.html#md5/1"},{"type":"function","title":"Options - NeoFaker.Crypto.md5/1","doc":"The accepted options are:\n\n- `:case` - Specifies the character case of the output.\n\nThe values for `:case` can be:\n\n- `:lower` - Uses lowercase characters (default).\n- `:upper` - Uses uppercase characters.","ref":"NeoFaker.Crypto.html#md5/1-options"},{"type":"function","title":"Examples - NeoFaker.Crypto.md5/1","doc":"iex> NeoFaker.Crypto.md5()\n    \"afc4c626c55e4166421d82732163857d\"\n\n    iex> NeoFaker.Crypto.md5(case: :upper)\n    \"AFC4C626C55E4166421D82732163857D\"","ref":"NeoFaker.Crypto.html#md5/1-examples"},{"type":"function","title":"NeoFaker.Crypto.sha1/1","doc":"Generates a random SHA-1 hash.\n\nThis function behaves similarly to `md5/1`. See `md5/1` for available options.","ref":"NeoFaker.Crypto.html#sha1/1"},{"type":"function","title":"NeoFaker.Crypto.sha256/1","doc":"Generates a random SHA-256 hash.\n\nThis function behaves similarly to `md5/1`. See `md5/1` for available options.","ref":"NeoFaker.Crypto.html#sha256/1"},{"type":"module","title":"NeoFaker.Gravatar","doc":"Provides functions for generating random Gravatar URLs.\n\nThis module is based on the [Gravatar API documentation](https://docs.gravatar.com/api/avatars/images).","ref":"NeoFaker.Gravatar.html"},{"type":"function","title":"NeoFaker.Gravatar.display/2","doc":"Generates a Gravatar URL from an email address.\n\nThe generated URL includes query parameters for image size and fallback options.\nIf no email address is provided, a random one is used.","ref":"NeoFaker.Gravatar.html#display/2"},{"type":"function","title":"Options - NeoFaker.Gravatar.display/2","doc":"The accepted options are:\n\n- `:size` - Defines the image size.\n- `:fallback` - Specifies the default fallback image.\n\nThe values for `:size` can be:\n\n- `nil` - Uses `80px` (default).\n- `integer` - The image size in pixels (valid range: `1` to `2048`).\n\nThe values for `:fallback` can be:\n\n- `nil` - Generates an \"identicon\" image (default).\n- `:identicon` - Generates an \"identicon\" image.\n- `:monsterid` - Generates a \"monsterid\" image.\n- `:wavatar` - Generates a \"wavatar\" image.\n- `:robohash` - Generates a \"robohash\" image.","ref":"NeoFaker.Gravatar.html#display/2-options"},{"type":"function","title":"Examples - NeoFaker.Gravatar.display/2","doc":"iex> NeoFaker.Gravatar.display()\n    \"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\")\n    \"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\", size: 100)\n    \"https://gravatar.com/avatar/ ?d=identicon&s=100\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\", fallback: :monsterid)\n    \"https://gravatar.com/avatar/ ?d=monsterid&s=80\"","ref":"NeoFaker.Gravatar.html#display/2-examples"},{"type":"type","title":"NeoFaker.Gravatar.email/0","doc":"Email address.","ref":"NeoFaker.Gravatar.html#t:email/0"},{"type":"module","title":"NeoFaker.Person","doc":"Provides functions for generating person-related information.\n\nThis module offers a variety of functions to generate random personal details, such as names,\nages, and genders.","ref":"NeoFaker.Person.html"},{"type":"function","title":"NeoFaker.Person.age/2","doc":"Generates a random age.\n\nThe age is a non-negative integer between `0` and `120` by default.","ref":"NeoFaker.Person.html#age/2"},{"type":"function","title":"Examples - NeoFaker.Person.age/2","doc":"iex> NeoFaker.Person.age()\n    44\n\n    iex> NeoFaker.Person.age(7..44)\n    27","ref":"NeoFaker.Person.html#age/2-examples"},{"type":"function","title":"NeoFaker.Person.binary_gender/1","doc":"Generates a random binary gender.\n\nReturns either `\"Male\"` or `\"Female\"`.","ref":"NeoFaker.Person.html#binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.binary_gender/1","doc":"iex> NeoFaker.Person.binary_gender()\n    \"Male\"","ref":"NeoFaker.Person.html#binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.first_name/1","doc":"Generates a random first name.\n\nIf no options are provided, it returns a random unisex first name.","ref":"NeoFaker.Person.html#first_name/1"},{"type":"function","title":"Options - NeoFaker.Person.first_name/1","doc":"The accepted options are:\n\n- `:type` - Specifies the type of name to generate.\n- `:locale` - Specifies the locale to use.\n\nValues for option `:type` can be:\n\n- `nil` - Generates a random unisex name (default).\n- `:male` - Generates a random male name.\n- `:female` - Generates a random female name.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `\"default\"`.\n- `\"id_id\"` - Uses the Indonesian locale, for example.","ref":"NeoFaker.Person.html#first_name/1-options"},{"type":"function","title":"Examples - NeoFaker.Person.first_name/1","doc":"iex> NeoFaker.Person.first_name()\n    \"Julia\"\n\n    iex> NeoFaker.Person.first_name(type: :male)\n    \"José\"\n\n    iex> NeoFaker.Person.first_name(locale: \"id_id\")\n    \"Jaka\"","ref":"NeoFaker.Person.html#first_name/1-examples"},{"type":"function","title":"NeoFaker.Person.full_name/1","doc":"Generates a random full name.\n\nIf no options are provided, it returns a default random unisex full name.","ref":"NeoFaker.Person.html#full_name/1"},{"type":"function","title":"Options - NeoFaker.Person.full_name/1","doc":"The accepted options are:\n\n- `:locale` - Specifies the locale to use.\n- `:sex` - Specifies the sex of the generated name.\n- `:middle_name` - Determines whether to include a middle name in the full name.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `\"default\"`.\n- `\"id_id\"` - Uses the Indonesian locale, for example.\n\nValues for option `:sex` can be:\n\n- `nil` - Generates a random unisex name (default).\n- `:male` - Generates a random male name.\n- `:female` - Generates a random female name.\n\nValues for option `:middle_name` can be:\n\n- `true` - Includes a random middle name (default).\n- `false` - Excludes the middle name.","ref":"NeoFaker.Person.html#full_name/1-options"},{"type":"function","title":"Examples - NeoFaker.Person.full_name/1","doc":"iex> NeoFaker.Person.full_name()\n    \"Abigail Bethany Crawford\"\n\n    iex> NeoFaker.Person.full_name(sex: :male)\n    \"Daniel Edward Fisher\"\n\n    iex> NeoFaker.Person.full_name(middle_name: false)\n    \"Gabriella Harrison\"","ref":"NeoFaker.Person.html#full_name/1-examples"},{"type":"function","title":"NeoFaker.Person.last_name/1","doc":"Generates a random last name.\n\nThis function behaves similarly to `first_name/1`. See `first_name/1` for available options.","ref":"NeoFaker.Person.html#last_name/1"},{"type":"function","title":"NeoFaker.Person.middle_name/1","doc":"Generates a random middle name.\n\nThis function behaves similarly to `first_name/1`. See `first_name/1` for available options.","ref":"NeoFaker.Person.html#middle_name/1"},{"type":"function","title":"NeoFaker.Person.non_binary_gender/1","doc":"Generates a random non-binary gender.\n\nReturns a non-binary gender, such as `\"Agender\"`, `\"Androgyne\"`, `\"Bigender\"`, etc.","ref":"NeoFaker.Person.html#non_binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.non_binary_gender/1","doc":"iex> NeoFaker.Person.non_binary_gender()\n    \"Agender\"","ref":"NeoFaker.Person.html#non_binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.prefix/1","doc":"Generates a random name prefix.","ref":"NeoFaker.Person.html#prefix/1"},{"type":"function","title":"Examples - NeoFaker.Person.prefix/1","doc":"iex> NeoFaker.Person.prefix()\n    \"Mr.\"","ref":"NeoFaker.Person.html#prefix/1-examples"},{"type":"function","title":"NeoFaker.Person.short_binary_gender/1","doc":"Generates a random short binary gender.\n\nReturns either `\"M\"` or `\"F\"`.","ref":"NeoFaker.Person.html#short_binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.short_binary_gender/1","doc":"iex> NeoFaker.Person.short_binary_gender()\n    \"F\"","ref":"NeoFaker.Person.html#short_binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.suffix/1","doc":"Generates a random name suffix.","ref":"NeoFaker.Person.html#suffix/1"},{"type":"function","title":"Examples - NeoFaker.Person.suffix/1","doc":"iex> NeoFaker.Person.suffix()\n    \"IV\"","ref":"NeoFaker.Person.html#suffix/1-examples"},{"type":"extras","title":"Available Locales","doc":"# Available Locales\n\nNeoFaker supports the following locales. You can change the default locale in\n[`config.exs`](getting-started.html#configuration):\n\n| Locale    | Country        | Language                                      |\n| --------- | -------------- | --------------------------------------------- |\n| `default` | 🌐 N/A         | English (US), but not specific to any country |\n| `id_id`   | 🇮🇩 Indonesia   | Bahasa Indonesia                              |","ref":"available-locales.html"},{"type":"extras","title":"Changelog for v0.7","doc":"# Changelog for v0.7","ref":"changelog.html"},{"type":"extras","title":"v0.7.1 (2025-02-24) - Changelog for v0.7","doc":"","ref":"changelog.html#v0-7-1-2025-02-24"},{"type":"extras","title":"Documentation Improvements - Changelog for v0.7","doc":"Refactored all module and function documentation for better clarity and consistency.\n\n## **v0.7.0 (2025-02-23)**","ref":"changelog.html#documentation-improvements"},{"type":"extras","title":"New Feature: `:locale` Option - Changelog for v0.7","doc":"Functions that retrieve data from locale files now support an optional `:locale` option, this\nallows overriding the default locale set in `config.exs`.\n\n#### **Example Usage:**\n\nIf the default locale in `config.exs` is `\"default\"`, but you need to use `\"id_id\"` in a specific\nfunction call:\n\n```elixir\niex> NeoFaker.App.name(locale: \"id_id\")\n\"Pustaka Elixir untuk menghasilkan data palsu dalam pengujian dan pengembangan.\"\n```","ref":"changelog.html#new-feature-locale-option"},{"type":"extras","title":"New Generator Functions and Options - Changelog for v0.7","doc":"#### `NeoFaker.Person`\n\n- Added `NeoFaker.Person.first_name/1`\n- Added `NeoFaker.Person.middle_name/1`\n- Added `NeoFaker.Person.last_name/1`\n- Added `NeoFaker.Person.full_name/1`\n\n#### `NeoFaker.Boolean`\n\n`NeoFaker.Boolean.boolean/2` now supports an optional `integer: true` option to return `1` or `0`\ninstead of `true` or `false`.","ref":"changelog.html#new-generator-functions-and-options"},{"type":"extras","title":"Documentation Updates - Changelog for v0.7","doc":"- Added [Available Locales](available-locales.html) page listing supported locales.\n- Updated [Cheat Sheet](cheat.html) page with new functions and options.","ref":"changelog.html#documentation-updates"},{"type":"extras","title":"Major Refactoring - Changelog for v0.7","doc":"- Standardized all module references, replacing `Nf` with `NeoFaker` for improved readability.\n- Removed support for multiple return values in generator functions.","ref":"changelog.html#major-refactoring"},{"type":"extras","title":"Getting Started","doc":"# Getting Started\n\n![Hex.pm Version](https://img.shields.io/hexpm/v/neo_faker) ![Hex.pm Downloads](https://img.shields.io/hexpm/dt/neo_faker) [![Elixir CI](https://github.com/muzhawir/neo_faker/actions/workflows/build.yml/badge.svg)](https://github.com/muzhawir/neo_faker/actions/workflows/build.yml)\n\n**NeoFaker** is an Elixir package for generating fake data for testing and development.","ref":"getting-started.html"},{"type":"extras","title":"Installation - Getting Started","doc":"Add NeoFaker to your dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:neo_faker, \"~> 0.7.0\", only: [:dev, :test]}\n  ]\nend\n```\n\nThen, fetch dependencies:\n\n```sh\nmix deps.get\n```","ref":"getting-started.html#installation"},{"type":"extras","title":"Configuration - Getting Started","doc":"Set the default locale in `config.exs`:\n\n```elixir\nconfig :neo_faker, locale: \"default\"\n```\n\nIf the specified locale is unavailable, it falls back to `\"default\"`. A list of available locales\ncan be found on the [Available Locales](https://hexdocs.pm/neo_faker/available-locales.html) page.","ref":"getting-started.html#configuration"},{"type":"extras","title":"Usage - Getting Started","doc":"```elixir\niex> NeoFaker.App.name()\n\"Neo Faker\"\n\niex> NeoFaker.App.description()\n\"An Elixir library for generating fake data in tests and development.\"\n\niex> NeoFaker.App.description(locale: \"id_id\")\n\"Pustaka Elixir untuk menghasilkan data palsu dalam pengujian dan pengembangan.\"\n```\n\nFor full documentation, check the [API Reference](https://hexdocs.pm/neo_faker/api-reference.html).\nFor a quick guide, see the [Cheat Sheet](https://hexdocs.pm/neo_faker/cheat.html).","ref":"getting-started.html#usage"},{"type":"extras","title":"License - Getting Started","doc":"NeoFaker is licensed under the [MIT License](https://github.com/muzhawir/neo_faker/blob/main/LICENSE.md).","ref":"getting-started.html#license"},{"type":"extras","title":"Cheat Sheet","doc":"# Cheat Sheet\n\nA quick reference for the most commonly used random data generator functions.\n\n## [App](`NeoFaker.App`)\n\n{: .col-2}\n\n### [`author(opts \\\\ [])`](`NeoFaker.App.author/1`)\n\n```elixir\niex> NeoFaker.App.author()\n\"José Valim\"\n```\n\n### [`description(opts \\\\ [])`](`NeoFaker.App.description/1`)\n\n```elixir\niex> NeoFaker.App.description()\n\"Elixir library for generating fake data in tests and development.\"\n```\n\n### [`license()`](`NeoFaker.App.license/0`)\n\n```elixir\niex> NeoFaker.App.license()\n\"MIT License\"\n```\n\n### [`name(opts \\\\ [])`](`NeoFaker.App.name/1`)\n\n```elixir\niex> NeoFaker.App.name()\n\"Neo Faker\"\n\niex> NeoFaker.App.name(style: :camel_case)\n\"neoFaker\"\n```\n\n### [`semver(opts \\\\ [])`](`NeoFaker.App.semver/1`)\n\n```elixir\niex> NeoFaker.App.semver()\n\"1.2.3\"\n\niex> NeoFaker.App.semver(type: :pre_release)\n\"1.2.3-beta.1\"\n```\n\n### [`version()`](`NeoFaker.App.version/0`)\n\n```elixir\niex> NeoFaker.App.version()\n\"1.2\"\n```\n\n## [Blood](`NeoFaker.Blood`)\n\n{: .col-2}\n\n### [`group()`](`NeoFaker.Blood.group/0`)\n\n```elixir\niex> NeoFaker.Blood.group()\n\"B+\"\n```\n\n### [`type()`](`NeoFaker.Blood.type/0`)\n\n```elixir\niex> NeoFaker.Blood.type()\n\"B\"\n```\n\n## [Boolean](`NeoFaker.Boolean`)\n\n{: .col-1}\n\n### [`boolean(true_ratio \\\\ 50, opts \\\\ [])`](`NeoFaker.Boolean.boolean/2`)\n\n```elixir\niex> NeoFaker.Boolean.boolean()\nfalse\n\niex> NeoFaker.Boolean.boolean(75)\ntrue\n\niex> NeoFaker.Boolean.boolean(75, integer: true)\n1\n```\n\n## [Crypto](`NeoFaker.Crypto`)\n\n{: .col-1}\n\n### [`md5(opts \\\\ [])`](`NeoFaker.Crypto.md5/1`)\n\n```elixir\niex> NeoFaker.Crypto.md5()\n\"e35cb102765cfc56df21ba4c16e6a636\"\n\niex> NeoFaker.Crypto.md5(case: :upper)\n\"E35CB102765CFC56DF21BA4C16E6A636\"\n```\n\n`NeoFaker.Crypto.sha1/1` and `NeoFaker.Crypto.sha256/1` behave similarly.\n\n## [Gravatar](`NeoFaker.Gravatar`)\n\n{: .col-1}\n\n### [`display(email \\\\ nil, opts \\\\ [])`](`NeoFaker.Gravatar.display/2`)\n\n```elixir\niex> NeoFaker.Gravatar.display()\n\"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\niex> NeoFaker.Gravatar.display(\"john.doe@example.com\", fallback: :monsterid)\n\"https://gravatar.com/avatar/ ?d=monsterid&s=80\"\n```\n\n## [Person](`NeoFaker.Person`)\n\n{: .col-2}\n\n### [`age(min \\\\ 0, max \\\\ 120)`](`NeoFaker.Person.age/2`)\n\n```elixir\niex> NeoFaker.Person.age()\n44\n\niex> NeoFaker.Person.age(7..44)\n27\n```\n\n### [`binary_gender()`](`NeoFaker.Person.binary_gender/0`)\n\n```elixir\niex> NeoFaker.Person.binary_gender()\n\"Male\"\n```\n\n### [`first_name(opts \\\\ [])`](`NeoFaker.Person.first_name/1`)\n\n```elixir\niex> NeoFaker.Person.first_name()\n\"Julia\"\n\niex> NeoFaker.Person.first_name(type: :male)\n\"José\"\n```\n\n`NeoFaker.Person.middle_name/1` and `NeoFaker.Person.last_name/1` behave similarly.\n\n### [`full_name(opts \\\\ [])`](`NeoFaker.Person.full_name/1`)\n\n```elixir\niex> NeoFaker.Person.full_name()\n\"Abigail Bethany Crawford\"\n\niex> NeoFaker.Person.full_name(sex: :male)\n\"Daniel Edward Fisher\"\n\niex> NeoFaker.Person.full_name(middle_name: false)\n\"Gabriella Harrison\"\n```\n\n### [`non_binary_gender(opts \\\\ [])`](`NeoFaker.Person.non_binary_gender/1`)\n\n```elixir\niex> NeoFaker.Person.non_binary_gender()\n\"Agender\"\n```\n\n### [`prefix(opts \\\\ [])`](`NeoFaker.Person.prefix/1`)\n\n```elixir\niex> NeoFaker.Person.prefix()\n\"Mr.\"\n```\n\n### [`short_binary_gender(opts \\\\ [])`](`NeoFaker.Person.short_binary_gender/1`)\n\n```elixir\niex> NeoFaker.Person.short_binary_gender()\n\"F\"\n```\n\n### [`suffix(opts \\\\ [])`](`NeoFaker.Person.suffix/1`)\n\n```elixir\niex> NeoFaker.Person.suffix()\n\"IV\"\n```","ref":"cheat.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}